﻿using NUnit.Framework;
using Telerik.JustMock;

namespace JustMockTest006
{
    [TestFixture]
    public class MockFixture
    {
        [SetUp]
        public void Setup()
        {
            foo = Mock.Create<IFoo>();
        }

        [Test]
        public void ShouldExecuteMockSetup()
        {

            Mock.Arrange(() => foo.Execute(Arg.AnyInt)).MustBeCalled();

            foo.Execute(10);
        }



        [TearDown]
        public void TearDown()
        {
            Mock.Assert(foo);
        }


        public interface IFoo
        {
            void Execute(int arg1);
        }

        private IFoo foo;
    }
}
